Subject: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: Robert Pluim <[email-masked]>
Date: Thu, 28 Jun 2018 10:25:50 +0200

martin rudalics <[email-masked]> writes:

>> Yes, plus parts of emacs obviously believe the frame-parameters, since
>> the minibuffer and modeline are not visible.
>>
>>> What did you use to produce this and does it only happen with scaling?
>>> I still do not understand the nature of this bug in the first place.
>>
>> src/emacs -q --no-site-file --no-site-lisp --no-splash --eval '(setq
>> x-wait-for-event-timeout nil)' -l ../emacs-real-26/31745.el
>>
>> (although it happens with non-nil x-wait-for-event-timeout as well)
>> where 31745.el is based off the original reporter's .emacs (attached).
>
> Hmmm...  Does the behavior reproduce just with
>
> emacs -Q --eval "(setq default-frame-alist '((left . 0) (top . 0) (width . 130) (height . 56)))"
>

Yes.

> 56 lines is by default too large for my screen so I can't see the
> modeline either.  But I suppose that's not what you both mean.

The frame is fully visible, itʼs just not showing the minibuffer nor
the mode-line. And itʼs the wrong size (itʼs the same size as when
runing just emacs -Q, ie 80x36).

> Also, when you evaluate
>
> (setq default-frame-alist '((left . 0) (top . 0) (width . 130) (height . 56)))
>
> in such a miscreated frame does it turn to the expected state?

No, and I donʼt see how it would, that just affects the next frame
creation, no? Besides, itʼs already set to that :-)

> BTW we still don't have any valid toolkit/window manager details for
> this report yet.  Could you please provide some?

x86_64-pc-linux-gnu, GTK+ Version 3.18.9, running KDE plasma 5.12.5,
using kwin. Basically Ubuntu 16.04 with KDE on top.

Robert